E-MailRelay

Classes | Namespaces | Functions
gbuffer.h File Reference
`#include "gdef.h"`
`#include "gassert.h"`
`#include <stdexcept>`
`#include <utility>`
`#include <algorithm>`
`#include <type_traits>`
`#include <cstring>`
`#include <memory>`
`#include <new>`

Go to the source code of this file.

## Classes
struct | G::Buffer< T >
| A substitute for std::vector<char> that has more useful alignment guarantees and explicitly avoids default initialisation of each element. More...

## Namespaces
namespace | G
| Low-level classes.

## Functions
template<typename Uptr , typename T = char>
Uptr | G::buffer_cast (Buffer< T > &buffer)
template<typename Uptr , typename T = char>
Uptr | G::buffer_cast (Buffer< T > &buffer, std::nothrow_t)
template<typename Uptr , typename T = char>
Uptr | G::buffer_cast (const Buffer< T > &buffer)
template<typename T >
void | G::swap (Buffer< T > &a, Buffer< T > &b) noexcept